/***********************************************************************************************************************
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.taxonomy.factsheet;

import it.tidalwave.bluebill.mobile.taxonomy.factsheet.TaxonFactSheetController.DefaultAction;
import javax.annotation.Nonnull;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.sound.TaxonSoundFactSheetController;
import it.tidalwave.mobile.media.Media;
import it.tidalwave.bluebill.observation.Observation;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class SoundObservationNode extends MediaNode
  {
    @Nonnull
    private final TaxonSoundFactSheetController controller;

    private final Observation observation;

    public SoundObservationNode (final @Nonnull Observation observation,
                                 final @Nonnull TaxonSoundFactSheetController controller)
      {
        super(observation.as(Media.class));
        this.observation = observation;
        this.controller = controller;
      }

    @Nonnull
    public Observation getObservation()
      {
        return observation;
      }

    @Nonnull
    public DefaultAction<?> getDefaultAction()
      {
        return controller.getDefaultAction(observation.as(Media.class));
      }
  }
